

local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

local sealevel = pmb_vars.overworld.sea_level
local alt_max = pmb_mirecaves.max
local alt_min = pmb_mirecaves.min

local n = pmb_mirecaves.worknodes

-- Clean up

minetest.register_ore({
    ore_type       = "stratum",
    ore            = "air",
    wherein        = {n.temp_node2},
    y_min = alt_min,
    y_max = alt_max,
    biomes = pmb_mirecaves.biome_list,
})
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "air",
    wherein        = {n.temp_node},
    y_min = alt_min,
    y_max = alt_max,
    biomes = pmb_mirecaves.biome_list,
})
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "pmb_mirecaves:stone",
    wherein        = {n.topsoil},
    y_min = alt_min,
    y_max = alt_max,
    biomes = pmb_mirecaves.biome_list,
})
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "pmb_mirecaves:stone",
    wherein        = {n.ceiling},
    y_min = alt_min,
    y_max = alt_max,
    biomes = pmb_mirecaves.biome_list,
})
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "pmb_mirecaves:stone",
    wherein        = {n.topsoil2},
    y_min = alt_min,
    y_max = alt_max,
    biomes = pmb_mirecaves.biome_list,
})
